Bug 857808 - Port the commits from the 4.2.3 community branch on github
Port the commits from the 4.2.3 community branch on github
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: RichFaces (Show other bugs)
2.1.0
Unspecified Unspecified
urgent Severity high
: ER1
: 2.1.0
Assigned To: Marek Novotny
Pavol Pitonak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 00:50 EDT by Brian Leathem
Modified: 2012-11-30 10:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
RichFaces has been updated to version 4.2.3. and includes several bug fixes that improve RichFaces usability. Further information on the bugs fixes within this update can be found below. [RF-10758] - While using popupPanel, address field no longer steals focus when tabbing between input fields in non-wk based browsers. [RF-10980] - Tabindex attribute of elements is no longer forced to -1 when inside rich:popupPanel and modal. Elements can now be selected with the keyboard. [RF-11051] - a4j.version no longer returns a SVN r.unknown message string [RF-11104] - The rich:inputNumberSlider is no longer affected by the css position attribute of its containing element. [RF-11104] - The minValue and maxValue settings in the rich:inputNumberSpinner component are no longer ignored on subsequent requests. [RF-12114] - RichFaces 4.2 rich:autocomplete now uses a blur event with a4j:ajax a listener attribute [RF-12221] - VDL-DOC attributes @listHeight. @maxListHeight, @minListHeight, @listWidth now display size in pixels [RF-12256] - Using a dragSource in an absolute positioned element no longer results in broken drag indicators. [RF-12273] - The fileupload.js JavaScript resource now uses the javax.faces.encodedURL hidden field value as the form's action attribute, to allow portlet compatibility. [RF-12424] - The Showcase classes PushConfigurations and UserAgentProcessor no longer contain Servlet specific code and can be used within a portlet. [RF-12425] - SyntaxHiglighter.js files will now load shCore module when require.js is present. [RF-12476] - Images urls in packed.css, contextmnu.css and dropdownmenu.css are now correctly mapped. [RF-12343] - Rich picklist values can now be saved within a composite component
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-30 10:35:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Leathem 2012-09-17 00:50:05 EDT
Fixes for RichFaces 4.2.3 are available on the RichFaces 4.2.3 branch on github:

Build:
https://github.com/richfaces/build/tree/release-develop/4.2.3

Components:
https://github.com/richfaces/components/tree/release-develop/4.2.3

Core:
https://github.com/richfaces/core/tree/release-develop/4.2.3

Showcase:
https://github.com/richfaces/showcase/tree/release-develop/4.2.3

The issues resolved are listed in the 4.2.3.CR1 RichFaces jira version:
https://issues.jboss.org/browse/RF/fixforversion/12320071

Porting of the individual fixes to the 4.2.3 branch was tracked via the RFPL jira issue:
https://issues.jboss.org/browse/RFPL-2349

Please merge the changes from the above linked github branches into the enterprise RichFaces repository.
Comment 2 Marek Novotny 2012-09-24 08:24:13 EDT
we have all changes in product branches
Comment 5 Pavol Pitonak 2012-09-27 11:18:27 EDT
I verified that all commits are in WFK branch and that all issues are fixed properly.
Comment 6 Isaac Rooskov 2012-10-07 22:44:21 EDT
Hi can you please fill out the Doc text field with information on the changes this encorporates from RichFaces 4.2.2 to 4.2.3. 

Thanks, 

Isaac
Comment 7 Karel Piwko 2012-11-30 10:35:07 EST
Distributed as a part of WFK 2.1.0.GA release.

Note You need to log in before you can comment on or make changes to this bug.